
      subroutine translate_radm2_raqms( radm2_spn, ns, raqms_spn, scale )

      implicit none

!     input arguments
!     character(LEN=6), intent(in) :: radm2_spn 
      character(LEN=12), intent(in) :: radm2_spn 

!     output arguments
      integer, intent(out) :: ns
      character(LEN=20), intent(out) :: raqms_spn(20)
      real, intent(out) :: scale


!     local arguments
      character(LEN=9), parameter :: suffix = ''

      ns = 0
      scale = -1.0



      select case( trim(radm2_spn) )


!tks 11/11/08   added for racm mechanism
        case( 'ete' )
          ns = ns + 1; raqms_spn(ns) = 'ieth'//suffix
        case( 'ch4' )
          ns = ns + 1; raqms_spn(ns) = 'ich4'//suffix
        case( 'macr' )
          ns = ns + 1; raqms_spn(ns) = 'imacr'//suffix
!tks 11/11/08



!     Nitrogen species
        case( 'no' )
          ns = ns + 1; raqms_spn(ns) = 'no'//suffix

        case( 'no2' )
          ns = ns + 1; raqms_spn(ns) = 'ino2'//suffix

        case( 'hono' )

        case( 'no3' )
          ns = ns + 1; raqms_spn(ns) = 'ino3'//suffix

        case( 'n2o5' )
          ns = ns + 1; raqms_spn(ns) = 'in2o5'//suffix 

        case( 'hno3' )
          ns = ns + 1; raqms_spn(ns) = 'ihno3t'//suffix

        case( 'hno4' )
          ns = ns + 1; raqms_spn(ns) = 'ihno4'//suffix

!     Oxidants
        case( 'o3' )
          ns = ns + 1; raqms_spn(ns) = 'o3vmr'//suffix
          scale = 1.0

        case( 'h2o2' )
          ns = ns + 1; raqms_spn(ns) = 'ih2o2'//suffix

!     Sulfur species
        case( 'so2' )
!tks
          ns = ns + 1; raqms_spn(ns) = 'iso2'//suffix
           

        case( 'sulf' )
!tks
          ns = ns + 1; raqms_spn(ns) = 'iso4aer'//suffix

!     Atomic species
        case( 'O3P' )

        case( 'O1D' )

!     Odd hydrogen species
        case( 'ho' )
          ns = ns + 1; raqms_spn(ns) = 'oh'//suffix
          scale = 0.0

        case( 'ho2' )
          ns = ns + 1; raqms_spn(ns) = 'ho2'//suffix

!     Carbon oxides
        case( 'co' )
          ns = ns + 1; raqms_spn(ns) = 'ico'//suffix

!     Alkanes
        case( 'eth' )
          ns = ns + 1; raqms_spn(ns) = 'ic2h6'//suffix

        case( 'HC3' )

        case( 'HC5' )

        case( 'HC8' )

!     Alkenes
        case( 'OL2' )

        case( 'olt' )
          ns = ns + 1; raqms_spn(ns) = 'iolet'//suffix

        case( 'oli' )
          ns = ns + 1; raqms_spn(ns) = 'iolei'//suffix

        case( 'iso' )
          ns = ns + 1; raqms_spn(ns) = 'iisop'//suffix

!     Aromatics
        case( 'TOL' )

        case( 'XYL' )

        case( 'CSL' )

!     Carbonyls
        case( 'hcho' )
          ns = ns + 1; raqms_spn(ns) = 'ich2o'//suffix

        case( 'ald' )
          ns = ns + 1; raqms_spn(ns) = 'iald2'//suffix
          scale = 0.5

        case( 'KET' )

        case( 'GLY' )

        case( 'mgly' )
          ns = ns + 1; raqms_spn(ns) = 'imgly'//suffix

        case( 'DCB' )

!     Organic nitrogens
        case( 'pan' )
          ns = ns + 1; raqms_spn(ns) = 'ipan'//suffix

        case( 'TPAN' )

        case( 'onit' )
          ns = ns + 1; raqms_spn(ns) = 'ionit'//suffix

!     Organic peroxides 
        case( 'op1' )
!         ns = ns + 1; raqms_spn(ns) = 'ich3ooh'//suffix

        case( 'op2' )
!         ns = ns + 1; raqms_spn(ns) = 'irooh'//suffix

!     Organic acids
        case( 'ORA1' )

        case( 'ORA2' )

!     Aerosol
        case( 'BC1' )
!tks
          ns = ns + 1; raqms_spn(ns) = 'ibc1'//suffix

        case( 'BC2' )
!tks
          ns = ns + 1; raqms_spn(ns) = 'ibc2'//suffix

        case( 'OC1' )
!tks
          ns = ns + 1; raqms_spn(ns) = 'ioc1'//suffix

        case( 'OC2' )
!tks
          ns = ns + 1; raqms_spn(ns) = 'ioc2'//suffix

        case( 'dms' )
!tks
          ns = ns + 1; raqms_spn(ns) = 'idms'//suffix

        case( 'msa' )
!tks
          ns = ns + 1; raqms_spn(ns) = 'imsa'//suffix

!tks
        case( 'DUST_1' )
          ns = ns + 1; raqms_spn(ns) = 'idu1'//suffix
!tks
        case( 'DUST_2' )
          ns = ns + 1; raqms_spn(ns) = 'idu2'//suffix
!tks
        case( 'DUST_3' )
          ns = ns + 1; raqms_spn(ns) = 'idu3'//suffix
!tks
        case( 'DUST_4' )
          ns = ns + 1; raqms_spn(ns) = 'idu4'//suffix
!tks
        case( 'DUST_5' )
          ns = ns + 1; raqms_spn(ns) = 'idu5'//suffix
!tks
        case( 'SEAS_1' )
          ns = ns + 1; raqms_spn(ns) = 'iss1'//suffix
!tks
        case( 'SEAS_2' )
          ns = ns + 1; raqms_spn(ns) = 'iss2'//suffix
!tks
        case( 'SEAS_3' )
          ns = ns + 1; raqms_spn(ns) = 'iss3'//suffix
!tks
        case( 'SEAS_4' )
          ns = ns + 1; raqms_spn(ns) = 'iss4'//suffix

        case default

      end select


      end subroutine translate_radm2_raqms

      end module module_raqms_lib
